#ifndef NULL
#include <stdio.h>
#include <sgtty.h>
#include <setjmp.h>
#include <strings.h>
#include <signal.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <ctype.h>
#include <sys/dir.h>
#include <errno.h>

#ifdef XINU
extern int errno ;
#endif

#endif

#include <sys/time.h>

#define SNOOZE (60*7)   /* Set time out for inactive users */
#define INPUT_ACTIVE 1
#define INPUT_IDLE 2 

#ifndef YEA
#define YEA (1)
#define NA  (0)
#endif

#ifndef MIN
#define MIN(a,b) ((a<b)?a:b)
#define MAX(a,b) ((a>b)?a:b)
#endif

#define DOECHO (1)      /* Flags to getdata input function */
#define NOECHO (0)

#define BINDIR   "/bin/"         /* Where all executables reside */

#define I_TIMEOUT   (-2)         /* Used for the getchar routine select call */
#define I_OTHERDATA (-3)         /* interface */

extern int scrint ;               /* Set when screen has been initialized */
                                  /* Used by namecomplete *only* */
extern int dumb_term ;


#define MAXENVS (20)  /* Maximum number of environment vars passed to subprocs*/

#define MAXCOMSZ   (1024) /* Maximum length of do_exec command */
#define MAXARGS    (40)   /* Maximum number of args to a do_exec command */

extern char *killsp() ;
